Jumbotron

Vue Bootstrap Jumbotron - free examples, templates & tutorial

Responsive Vue Jumbotron built with Bootstrap 5. Classic hero component, jumbotron with background image, with navbar, full height, slider & more combinations.

To learn more read Card Docs.


With navbar

Since jumbotron is usually the first element of the page, it may be a good idea to combine your jumbotron with a navbar.

        
            
          <template>
            <header>
              <!-- Navbar -->
              <MDBNavbar expand="lg" light bg="white" container>
                <MDBNavbarToggler
                  target="#navbarExample01"
                  @click="collapse1 = !collapse1"
                ></MDBNavbarToggler>
                <MDBCollapse id="#navbarExample01" v-model="collapse1">
                  <MDBNavbarNav class="mb-2 mb-lg-0">
                    <MDBNavbarItem to="#" active> Home </MDBNavbarItem>
                    <MDBNavbarItem to="#"> Features </MDBNavbarItem>
                    <MDBNavbarItem to="#"> Pricing </MDBNavbarItem>
                    <MDBNavbarItem to="#"> About </MDBNavbarItem>
                  </MDBNavbarNav>
                </MDBCollapse>
              </MDBNavbar>
             <!-- Navbar -->
             <!-- Jumbotron -->
             <div class="p-5 text-center bg-light">
               <h1 class="mb-3">Heading</h1>
               <h4 class="mb-3">Subheading</h4>
               <a class="btn btn-primary" href="" role="button"
                 >Call to action</a
               >
             </div>
             <!-- Jumbotron -->
            </header>
          </template>
          
        
    
        
            
            <script>
              import { MDBBtn, MDBNavbar, MDBNavbarToggler, MDBNavbarNav, MDBNavbarItem, MDBCollapse } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBBtn,
                  MDBNavbar,
                  MDBNavbarToggler,
                  MDBNavbarNav,
                  MDBNavbarItem,
                  MDBCollapse,
                },
                setup() {
                  const collapse1 = ref(false);
                  return { collapse1 };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBNavbar,
                MDBNavbarToggler,
                MDBNavbarNav,
                MDBNavbarItem,
                MDBBtn,
                MDBCollapse,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const collapse1 = ref(false);
            </script>
          
        
    

Background image with navbar

Header with background image might help to outstand your call to action elements by catching the eyes to some beautiful image in the background.

To provide a proper contrast it's highly recommended to use a mask. You can change the color and the opacity of the mask by manipulating RGBA code.

You also must set the height of the background image, otherwise, the component will collapse. In the example below, we set the height to 400px.

We use flexbox utilities to center the content vertically and horizontally.

        
            
          <template>
            <header>
              <!-- Navbar -->
              <MDBNavbar expand="lg" light bg="white" container>
                <MDBNavbarToggler 
                target="#navbarExample02"
                @click="collapse2 = !collapse2"
                ></MDBNavbarToggler>
                <MDBCollapse id="navbarExample02" v-model="collapse2">
                  <MDBNavbarNav class="mb-2 mb-lg-0">
                    <MDBNavbarItem to="#" active>
                      Home
                    </MDBNavbarItem>
                    <MDBNavbarItem to="#">
                      Features
                    </MDBNavbarItem>
                    <MDBNavbarItem to="#">
                      Pricing
                    </MDBNavbarItem>
                    <MDBNavbarItem to="#">
                      About
                    </MDBNavbarItem>
                  </MDBNavbarNav>
                </MDBCollapse>
              </MDBNavbar>
              <!-- Navbar -->
              <!-- Background image -->
              <div
                class="p-5 text-center bg-image"
                style="
                  background-image: url('https://mdbootstrap.com/img/new/slides/041.webp');
                  height: 400px;
                "
              >
                <div class="mask" style="background-color: rgba(0, 0, 0, 0.6);">
                  <div class="d-flex justify-content-center align-items-center h-100">
                    <div class="text-white">
                      <h1 class="mb-3">Heading</h1>
                      <h4 class="mb-3">Subheading</h4>
                      <MDBBtn tag="a" lg outline="light"
                        href="#!"
                        role="button"
                        >Call to action
                      </MDBBtn>
                    </div>
                  </div>
                </div>
              </div>
              <!-- Background image -->
            </header>
          </template>
          
        
    
        
            
            <script>
              import { MDBBtn, MDBNavbar, MDBNavbarToggler, MDBNavbarNav, MDBNavbarItem, MDBCollapse } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBBtn,
                  MDBNavbar,
                  MDBNavbarToggler,
                  MDBNavbarNav,
                  MDBNavbarItem,
                  MDBCollapse,
                },
                setup() {
                  const collapse2 = ref(false);
                  return { collapse2 };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBNavbar,
                MDBNavbarToggler,
                MDBNavbarNav,
                MDBNavbarItem,
                MDBBtn,
                MDBCollapse,
              } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const collapse2 = ref(false);
            </script>
          
        
    

Animated navbar

You can achieve a very impressive effect by using our animated navbar, which is transparent on start, and change the color after the scroll.

Click the button below to see the full-screen demo.

        
            
            <template>
              <!--Main Navigation-->
              <header>
                <!-- Animated navbar-->
                <MDBNavbar container expand="lg" position="top" scroll>
                  <MDBNavbarToggler
                    v-on:click="collapse = !collapse"
                    target="#navbarExample"
                  ></MDBNavbarToggler>
                  <MDBCollapse v-model="collapse" id="navbarExample">
                    <MDBNavbarNav class="me-auto mb-2 mb-lg-0">
                      <MDBNavbarItem to="#intro" active>
                        Home
                      </MDBNavbarItem>
                      <MDBNavbarItem
                        href="https://www.youtube.com/channel/UC5CF7mLQZhvx8O5GODZAhdA"
                        newTab
                        rel="nofollow"
                      >
                        Learn Bootstrap 5
                      </MDBNavbarItem>
                      <MDBNavbarItem
                        href="https://mdbootstrap.com/docs/vue/"
                        newTab
                        rel="nofollow"
                      >
                        Download MDB UI KIT
                      </MDBNavbarItem>
                    </MDBNavbarNav>
                    <ul class="navbar-nav flex-row">
                      <!-- Icons -->
                      <MDBNavbarItem
                        href="https://www.youtube.com/channel/"
                        newTab
                        rel="nofollow"
                        class="pe-2"
                      >
                        <MDBIcon iconStyle="fab" icon="youtube" />
                      </MDBNavbarItem>
                      <MDBNavbarItem
                        href="https://www.facebook.com/mdbootstrap"
                        newTab
                        rel="nofollow"
                        class="px-2"
                      >
                        <MDBIcon iconStyle="fab" icon="facebook-f" />
                      </MDBNavbarItem>
                      <MDBNavbarItem
                        href="https://twitter.com/MDBootstrap"
                        newTab
                        rel="nofollow"
                        class="px-2"
                      >
                        <MDBIcon iconStyle="fab" icon="twitter" />
                      </MDBNavbarItem>
                      <MDBNavbarItem
                        href="https://github.com/mdbootstrap/mdb-ui-kit"
                        newTab
                        rel="nofollow"
                        class="ps-2"
                      >
                        <MDBIcon iconStyle="fab" icon="github" />
                      </MDBNavbarItem>
                    </ul>
                  </MDBCollapse>
                </MDBNavbar>
                <!-- Animated navbar -->
                <!-- Background image -->
                <div
                  id="intro"
                  class="bg-image"
                  style="
                    background-image: url(https://mdbcdn.b-cdn.net/img/new/fluid/city/113.webp);
                    height: 100vh;
                  "
                >
                  <div class="mask text-white" style="background-color: rgba(0, 0, 0, 0.8)">
                    <MDBContainer class="d-flex align-items-center text-center h-100">
                      <div>
                        <h1 class="mb-5">This is title</h1>
                        <p>
                          Lorem ipsum dolor, sit amet consectetur adipisicing elit. Officiis
                          molestiae laboriosam numquam expedita ullam saepe ipsam, deserunt
                          provident corporis, sit non accusamus maxime, magni nulla quasi
                          iste ipsa architecto? Autem!
                        </p>
                      </div>
                    </MDBContainer>
                  </div>
                </div>
                <!-- Background image -->
              </header>
              <!--Main Navigation-->
              <MDBContainer class="my-5">
                <p>
                  Lorem ipsum dolor sit, amet consectetur adipisicing elit. Nobis quam
                  minima perspiciatis eos tenetur. Praesentium dolores at quos aperiam sed,
                  sint provident consectetur incidunt, nostrum porro earum commodi, ex
                  architecto.
                </p>
              </MDBContainer>
              <!--Main Navigation-->
            </template>
            
        
    
        
            
            <script>
              import { MDBBtn, MDBNavbar, MDBNavbarToggler, MDBNavbarNav, MDBNavbarItem } from 'mdb-vue-ui-kit';
              export default {
                components: {
                  MDBBtn,
                  MDBNavbar,
                  MDBNavbarToggler,
                  MDBNavbarNav,
                  MDBNavbarItem
                },
              };
            </script>

React Bootstrap Jumbotron
React Jumbotron - Bootstrap 4 & Material Design
React Jumbotron is a responsive component which the main goal is to focus visitor's attention or highlight the special piece of information.
Inside a Jumbotron, you can make use of almost any other Bootstrap code to additionally increase its engagement value.
Its flexibility lets you operate with images, enlarged fonts, different background styles, and CTA's.
Jumbotron use examples:
- Project presentation
- Article introduction
- Image showcase
See a number of Bootstrap Jumbotron examples to familiarize yourself with its design.
Basic example
A lightweight, flexible component that can optionally extend the entire viewport to showcase key marketing messages on your site.
Hello, world!
This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.
It uses utility classes for typography and spacing to space content out within the larger container.
Learn more
import React from "react";
import { MDBJumbotron, MDBBtn, MDBContainer, MDBRow, MDBCol } from "mdbreact";
const JumbotronPage = () => {
return (
<MDBContainer className="mt-5 text-center">
<MDBRow>
<MDBCol>
<MDBJumbotron>
<h2 className="h1 display-3">Hello, world!</h2>
<p className="lead">
This is a simple hero unit, a simple Jumbotron-style component for
calling extra attention to featured content or information.
</p>
<hr className="my-2" />
<p>
It uses utility classes for typgraphy and spacing to space content out
within the larger container.
</p>
<p className="lead">
<MDBBtn color="primary">Learn More</MDBBtn>
</p>
</MDBJumbotron>
</MDBCol>
</MDBRow>
</MDBContainer>
)
}
export default JumbotronPage;
Jumbotron with a background image
Create your beautiful website with MDBootstrap
Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem, optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!
View project
import React from "react";
import { MDBJumbotron, MDBBtn, MDBContainer, MDBRow, MDBCol, MDBCardTitle, MDBIcon } from "mdbreact";
const JumbotronPage = () => {
return (
<MDBContainer>
<MDBRow>
<MDBCol>
<MDBJumbotron style={{ padding: 0 }}>
<MDBCol className="text-white text-center py-5 px-4 my-5" style={{ backgroundImage: `url(https://mdbootstrap.com/img/Photos/Others/gradient1.jpg)` }}>
<MDBCol className="py-5">
<MDBCardTitle className="h1-responsive pt-3 m-5 font-bold">Create your beautiful website with MDBootstrap</MDBCardTitle>
<p className="mx-5 mb-5">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Repellat fugiat, laboriosam, voluptatem,
optio vero odio nam sit officia accusamus minus error nisi architecto nulla ipsum dignissimos. Odit sed qui, dolorum!
</p>
<MDBBtn outline color="white" className="mb-5"><MDBIcon icon="clone" className="mr-2"></MDBIcon> View project</MDBBtn>
</MDBCol>
</MDBCol>
</MDBJumbotron>
</MDBCol>
</MDBRow>
</MDBContainer>
)
}
export default JumbotronPage;
Fluid jumbotron
To make the jumbotron full width, and without rounded corners, add the fluid
prop
<MDBContainer>
or <MDBContainer fluid>
within.
Fluid jumbotron
This is a modified jumbotron that occupies the entire horizontal space of its parent.
import React from "react";
import { MDBJumbotron, MDBContainer } from "mdbreact";
const JumbotronPage = () => {
return (
<MDBJumbotron fluid>
<MDBContainer>
<h2 className="display-4">Fluid jumbotron</h2>
<p className="lead">This is a modified jumbotron that occupies the entire horizontal space of its parent.</p>
</MDBContainer>
</MDBJumbotron>
)
}
export default JumbotronPage;
Jumbotron with image
import React from "react";
import { MDBJumbotron, MDBContainer, MDBRow, MDBCol, MDBIcon, MDBCardTitle, MDBCardImage, MDBCardBody, MDBCardText } from "mdbreact";
const JumbotronPage = () => {
return (
<MDBContainer className="mt-5 text-center">
<MDBRow>
<MDBCol>
<MDBJumbotron className="text-center">
<MDBCardTitle className="card-title h4 pb-2">
<strong>My adventure</strong>
</MDBCardTitle>
<MDBCardImage
src="https://mdbootstrap.com/img/Photos/Slides/img%20(70).jpg"
className="img-fluid"
/>
<MDBCardBody>
<MDBCardTitle className="indigo-text h5 m-4">
Photography
</MDBCardTitle>
<MDBCardText>
Sed ut perspiciatis unde omnis iste natus sit voluptatem
accusantium doloremque laudantium, totam rem aperiam.
</MDBCardText>
<MDBCol className="d-flex justify-content-center mt-4" md="12">
<MDBCol md="3" className="d-flex justify-content-around">
<a href="#"><MDBIcon
fab
icon="linkedin-in"
className="grey-text"
size="lg"
/></a>
<a href="#"><MDBIcon
fab
icon="twitter"
className="grey-text"
size="lg"
/></a>
<a href="#"><MDBIcon
fab
icon="facebook-f"
className="grey-text"
size="lg"
/></a>
</MDBCol>
</MDBCol>
</MDBCardBody>
</MDBJumbotron>
</MDBCol>
</MDBRow>
</MDBContainer>
)
}
export default JumbotronPage;
Jumbotron without padding MDB Pro component
Card title
Some quick example text to build on the card title and make up the bulk of the card's
Button
import React from "react";
import { MDBJumbotron, MDBBtn, MDBContainer, MDBRow, MDBCol, MDBCardImage, MDBCardBody, MDBCardTitle, MDBCardText } from "mdbreact";
const JumbotronPage = () => {
return (
<MDBContainer className="mt-5 text-center">
<MDBRow>
<MDBCol>
<MDBJumbotron className="p-0">
<MDBCardImage
className="img-fluid"
src="https://mdbootstrap.com/img/Photos/Slides/img%20(134).jpg"
/>
<MDBCardBody>
<MDBCardTitle className="h3">Card title</MDBCardTitle>
<MDBCardText>
Some quick example text to build on the card title and make up
the bulk of the card's content.
</MDBCardText>
<MDBBtn href="#" gradient="purple" rounded>
BUTTON
</MDBBtn>
</MDBCardBody>
</MDBJumbotron>
</MDBCol>
</MDBRow>
</MDBContainer>
)
}
export default JumbotronPage;
Jumbotron - API
In this section you will find advanced information about the Jumbotron component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.
Import statement
import { MDBJumbotron } from "mdbreact";
API Reference: Jumbotron Properties
The table below shows the configuration options of the Jumbotron component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
className |
String |
|
Adds custom classes | <MDBJumbotron className="customClass" /> |
fluid |
Boolean | false |
Makes the Jumbotron full width, and without rounded corners. | <MDBJumbotron fluid /> |